# So i want to install a OS on my machine, or update it
In good luck, there is a few notes and steps to help with it

## Installing flake select configuration

- Make sure the machine has a
keyboard layout we can work with, such as ES layout: `loadkeys es`

- Install Git(system-wide is fine): `nix-env -iA git`

- Clone the flake repo: `git clone https://github.com/oridevteam/nix-setup.git`

- Update the flake: `nixos flake update`

- Rebuild and Switch: `nixos-rebuild switch --flake .#bunta_desktop`


After installed, follow roughly the steps you need in any order:
 - (Disk Setup)[./disk-setup.md]

## Keeping things updated
Firstly lets make sure that we have the channels added (for nixos and home-manager), and preferably lets use unstable, which are the latest:
 - nixos: `nix-channel --add https://nixos.org/channels/nixos-unstable`
 - home-manager: `nix-channel --add https://github.com/nix-community/home-manager/archive/master.tar.gz home-manager`


Secondly update the channels (should be nixos and home-manager):
`sudo nix-channel --update`
