{inputs, pkgs, ...}:
let nur = inputs.nur {
  nurpkgs = pkgs;
  inherit pkgs;
};
in {
  # home.file.".mozilla/firefox/nibunta/" = {};

  programs.firefox = {
      enable = true;
      package = pkgs.firefox;

      profiles = {
        personal = {
          id = 0;
          extraConfig = ''
            user_pref("media.ffmpeg.vaapi.enabled", true);
          '';
          extensions = with nur.repos.rycee.firefox-addons; [
            ublock
            /*
            "uBlock0@raymondhill.net" "sponsorBlocker@ajay.app"
            "{762f9885-5a13-4abd-9c77-433dcd38b8fd}" # Return Youtube Dislike
            "{a4c4eda4-fb84-4a84-b4a1-f7c1cbf2a1ad}" # Refined Github
            "{72bd91c9-3dc5-40a8-9b10-dec633c0873f}" # Enhanced Github
            */
          ];
        };
      };
  };
}
