{inputs, pkgs, ...}:
{
  programs.vscode = {
    enable = true;
    package = pkgs.vscodium;
    extensions = with pkgs.vscode-extensions; [
      jnoortheen.nix-ide # bbenoist.Nix
      arrterian.nix-env-selector
      mkhl.direnv

      # Themes
      # rokoroku.vscode-theme-darcula
    ];
    
    userSettings = {
      # https://github.com/oxalica/nil/blob/main/docs/configuration.md
      "workbench.colorTheme" = "Visual Studio Dark";
      # "workbench.colorTheme" = "Darcula";
      "nix.enableLanguageServer" = true;
      "nix.serverPath" = "nil";
      "nix.serverSettings.nix.flake.autoEvalInputs" = true;
      
    };
    
    /*
    {
      "nix.enableLanguageServer": true,
      "nix.serverPath": "nil",
      "nix.serverSettings": {
        "nix": {
          "flake": {
            "autoEvalInputs": true
          }
        }
      }
    }
    */

  };
} 
