{pkgs, ...} : {
  programs = {
      zsh = {
        enable = true;
        autosuggestions.enable = true;
        syntaxHighlighting.enable = true;
        enableCompletion = true;
        histSize = 100000;

        ohMyZsh = {
          enable = true; plugins = ["git"];
        };

        shellInit = ''
          # Zsh theme
          # Spaceship
          source ${pkgs.spaceship-prompt}/share/zsh/site-functions/prompt_spaceship_setup
          autoload -U promptinit; promptinit
          # Hook direnv
          #emulate zsh -c "$(direnv hook zsh)"
          # Swag
          ${pkgs.nitch}/bin/nitch

          #eval "$(direnv hook zsh)"
        '';
      };
  };
}
